metadata:
  name: dbus-installed-tests
  format: "Apertis Test Definition 1.0"
  image-types:
    target:  [ armhf-internal, armhf, amd64 ]
    basesdk: [ amd64 ]
    sdk:     [ amd64 ]
  image-deployment:
    - APT
  type: functional
  exec-type: automated
  priority: high
  maintainer: "Apertis Project"
  description: "Regression tests for D-Bus."

  expected:
    - "The output should show pass."

install:
  deps:
    - busybox
    - dbus-tests
    - libdbus-1-3-dbgsym
    - dbus-tests-dbgsym
    - dbus-dbgsym
  git-repos:
    - url: https://gitlab.apertis.org/infrastructure/apertis-tests.git
      branch: 'apertis/v2021dev2'

run:
  steps:
    - "# Enter test directory:"
    - cd apertis-tests
    - "# Execute the following commands:"
    - common/run-test-in-systemd --user=user --name=as-user --timeout=15min dbus/installed-tests.sh
    - common/run-test-in-systemd --name=as-root --timeout=20min dbus/installed-tests.sh

parse:
  pattern: 'TEST_RESULT:(?P<result>\w+):(?P<test_case_id>[^:]+):'
